## org.openorb.compiler.object
Class IdlExcept

    java.lang.Object
      |
      +--org.openorb.compiler.object.IdlObject
            |
            +--org.openorb.compiler.object.IdlExcept

All Implemented Interfaces:
  idlException, idlObject, java.io.Serializable

public class IdlExcept
extends IdlObject
implements idlException

Cette classe represente l'objet IDL Except

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:21 $
Author:
  Jerome Daniel
See Also:
  Serialized Form

Fields inherited from class org.openorb.compiler.object.IdlObject
`_case_sensitive, _comment, _current, _diese, _has_inheritance, _id, _import, _is_container, _list, _map, _name, _opaque, _prefix, _prefix_explicit, _type, _underscore, _upper, adaptName, idlPrefix`

Constructor Summary
`IdlExcept(IdlObject father)` Cree un objet IDL Except

Method Summary
`java.util.Enumeration` `content()` Return this idlObject content
`java.util.Enumeration` `members()` Return all members of this exception.
`IdlObject` `searchObject(java.lang.String name)` This method returns an contained object

Methods inherited from class org.openorb.compiler.object.IdlObject

`adaptName, addIdlObject, applyPrefix, attach_comment, attach_comment, changePrefix, contains, containsObject, current, end, filter, final_kind, final_object, getComment, getId, getIdComponents, getPrefix, getPrefixDepth, hasComment, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included, insertIdlObject, into, isDefined, isSame, isVisible, kind, length, myScope, name, name, nameToSequence, next, opaque, opaque, pos, pos, refreshIncluded, reset, returnInheritedObject, returnObject, returnVisibleObject, root, sameAs, search, sensitive, setId, switchFinalObject, type, type, upper, use_diese, use_diese`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.openorb.compiler.idl.reflect.idlObject
`containsObject, filter, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included`

Constructor Detail

### IdlExcept

    public IdlExcept(IdlObject father)

  Cree un objet IDL Except

Method Detail

### searchObject

    public IdlObject searchObject(java.lang.String name)

  This method returns an contained object
  Overrides:
    `searchObject` in class `IdlObject`

### members

    public java.util.Enumeration members()

  Description copied from interface: `idlException`
  Return all members of this exception. The 'content' operation return internal descriptions.
  Specified by:
    `members` in interface `idlException`

### content

    public java.util.Enumeration content()

  Description copied from interface: `idlObject`
  Return this idlObject content
  Specified by:
    `content` in interface `idlObject`
  Overrides:
    `content` in class `IdlObject`